<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__ether__header__t" kind="struct" language="C++" prot="public">
    <compoundname>whd_ether_header_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__ether__header__t_1a5a271506b92a52ea67d30bd2a781a64a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t whd_ether_header_t::ether_dhost[ETHER_ADDR_LEN]</definition>
        <argsstring>[ETHER_ADDR_LEN]</argsstring>
        <name>ether_dhost</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="109" />
      </memberdef>
      <memberdef id="structwhd__ether__header__t_1a8e3d1fd8048d6f69f5a38850fd76ae4c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t whd_ether_header_t::ether_shost[ETHER_ADDR_LEN]</definition>
        <argsstring>[ETHER_ADDR_LEN]</argsstring>
        <name>ether_shost</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="110" />
      </memberdef>
      <memberdef id="structwhd__ether__header__t_1aa071699d6d5b7838654c1fa5aa6ae69e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t whd_ether_header_t::ether_type</definition>
        <argsstring />
        <name>ether_type</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="112" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="108" />
    <listofallmembers>
      <member prot="public" refid="structwhd__ether__header__t_1a5a271506b92a52ea67d30bd2a781a64a" virt="non-virtual"><scope>whd_ether_header_t</scope><name>ether_dhost</name></member>
      <member prot="public" refid="structwhd__ether__header__t_1a8e3d1fd8048d6f69f5a38850fd76ae4c" virt="non-virtual"><scope>whd_ether_header_t</scope><name>ether_shost</name></member>
      <member prot="public" refid="structwhd__ether__header__t_1aa071699d6d5b7838654c1fa5aa6ae69e" virt="non-virtual"><scope>whd_ether_header_t</scope><name>ether_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>